* Who Profits from Patents? Rent-Sharing at Innovative Firms
* Appebndix Table 9
* Owners: Patrick Kline, Neviana Petkova, Heidi Williams and Owen Zidar
* Date: January 29, 2019


* This .do file creates the 3-year-average pass-through estimates



*--------- APPENDIX TABLE 9 ---------*

    import delimited using "$data/QJEtables_rent/RS_avg.txt", clear varn(2) delimiter(tab)

    foreach vv of varlist wb_emp_avg rat_m_avg rat_noninv_avg rat_stay_avg rat_stay_diff_avg rat_stay_noninv_avg {
      rename `vv' `vv'_ols
    }
    rename v4  wb_emp_avg_iv
    rename v6  rat_m_avg_iv
    rename v12 rat_noninv_avg_iv
    rename v14 rat_stay_avg_iv
    rename v16 rat_stay_diff_avg_iv
    rename v18 rat_stay_noninv_avg_iv

    * keep only required rows
    keep if inlist(_n,2,3,5,10,12,13)

    * delete elasticities for v17 and v18
    replace rat_stay_diff_avg_ols = "" if variables=="Elasticity"
    replace rat_stay_diff_avg_iv  = "" if variables=="Elasticity"

    * Reorder
    g order = _n
    replace order = order - 1 if variables=="Elasticity"
    replace order = order + 1 if variables =="Observations"
    sort order
    
    * keep only necessary columns (already in correct order)
    keep wb_emp_avg* rat_m_avg* rat_noninv_avg* rat_stay_avg* rat_stay_diff_avg* rat_stay_noninv_avg*

    * clean up numbers (stripping commas, parens, and asterisks) then destring
    foreach vv of varlist _all {
      replace `vv' = subinstr(`vv',"(","",.)
      replace `vv' = subinstr(`vv',")","",.)
      replace `vv' = subinstr(`vv',"*","",.)
      replace `vv' = subinstr(`vv',",","",.)
    }

    destring *, replace

    * convert to a matrix
    mkmat *, mat(tabRS_avglev)

    * now the panel table
    mat tabRS_avgpanel = tabRS_avglev
    matrix_to_txt, saving("$tables/appx_table9.txt") mat(tabRS_avgpanel) title(<tab:appx_table9>) replace
  

